<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://xfinitysoft.com
 * @since      1.0.0
 *
 * @package    catalog_mode_woocommerce
 * @subpackage catalog_mode_woocommerce/admin/partials
 */
$form_setting = get_option('xscmw_inquiry_form',true);
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap xscmw-container">
    <h2><?php esc_html_e('Catalog Mode for Woocommerce', 'catalog-mode-woocommerce'); ?></h2>
    <nav class="nav nav-tabs xscmw-tabs">
        <a class="nav-tab"  href="<?php echo admin_url().'admin.php?page=catalog_mode'; ?>"><?php esc_html_e('SETTINGS', 'catalog-mode-woocommerce') ?></a>
        <a class="nav-tab nav-tab-active xscmw_active"  href="<?php echo admin_url().'admin.php?page=exclusion_list'; ?>"><?php esc_html_e('EXCLUSION LIST', 'catalog-mode-woocommerce') ?></a>
        <a class="nav-tab"  href="<?php echo admin_url().'admin.php?page=xscmw_inquiry'; ?>"><?php esc_html_e('INQUIRY FORM', 'catalog-mode-woocommerce') ?></a>
        <a class="nav-tab"  href="<?php echo admin_url().'edit.php?post_type=xscmw-button-label'; ?>"><?php esc_html_e('BUTTON & LABELS', 'catalog-mode-woocommerce') ?></a>
    </nav>
    <div class="wrap xscmw-inner">
        <?php if( isset($_GET['tab']) && $_GET['tab'] == 'single_exclusion' ):
            $data = array();
            if(isset($_GET['item_type'])){
                $id = isset($_GET['id']) ? $_GET['id']:'';
                if($_GET['item_type']=='Product'){
                    $data = get_post_meta($id,'xscmw_exclusions',true);
                }else{
                    $data = get_term_meta($id,'xscmw_exclusions',true);
                }
            }
            $buttons = get_posts(array(
                 'posts_per_page' => -1,
                 'post_type'      => 'xscmw-button-label',
                 'post_status'    => 'publish'
            )); 
        ?>
            <form action='#' method='post' id='xscmw-exclusion-form'>
                <table class="form-table">
                    <tbody>
                        <tr>
                            <th scope="row">
                                <label for='xsmcw-item-type'><?php esc_html_e('Item type' , 'catalog-mode-woocommerce'); ?></label>
                            </th>
                            <td>
                                <select name="item-type" id="xsmcw-item-type" class="xscmw-single-select2" style="width: 25%">
                                    <option value="product" <?php echo (isset($_GET['item_type']) && $_GET['item_type'] == 'Product') ? 'selected="selected"' : "" ?> ><?php esc_html_e('Products','catalog-mode-woocommerce'); ?></option>
                                    <option value="category" <?php echo (isset($_GET['item_type']) && $_GET['item_type'] == 'Categories') ? 'selected="selected"' : "" ?> ><?php esc_html_e('Categories','catalog-mode-woocommerce'); ?></option>
                                    <option value="tag" <?php echo (isset($_GET['item_type']) && $_GET['item_type'] == 'Tags') ? 'selected="selected"' : "" ?>><?php esc_html_e('Tags','catalog-mode-woocommerce'); ?></option>
                                </select>
                            </td>
                        </tr>
                        <tr class="<?php echo (isset($_GET['item_type']) && $_GET['item_type'] != 'Product') ? 'xscmw-hidden' : "" ?> xscmw-product">
                            <th scope="row">
                                <label for='xsmcw-item-products'><?php esc_html_e('Select products' , 'catalog-mode-woocommerce'); ?></label>
                            </th>
                            <td>
                                <select name="products[]" id="xsmcw-item-products" class="xsmw-multiple-select2" multiple="multiple" style="width: 50%">
                                    <?php foreach ($products as $product): ?>
                                        <option value="<?php echo $product->get_id(); ?>" <?php echo (isset($_GET['item_type']) && $_GET['item_type'] == 'Product' && $id==$product->get_id()) ? 'selected="selected"':"" ?> ><?php echo $product->get_title(); ?></option>
                                    <?php endforeach; ?>
                                </select>
                            </td>
                        </tr>
                        <tr class="<?php echo (!isset($_GET['item_type']) || $_GET['item_type'] != 'Categories') ? 'xscmw-hidden' : "" ?> xscmw-category">
                            <th scope="row">
                                <label for='xsmcw-item-categories'><?php esc_html_e('Select categories' , 'catalog-mode-woocommerce'); ?></label>
                            </th>
                            <td>
                               <select name="categories[]" id="xsmcw-item-categories" class="xsmw-multiple-select2" multiple="multiple" style="width: 50%">
                                    <?php foreach ($categories as $category): ?>
                                        <option value="<?php echo $category->term_id; ?>" <?php echo (isset($_GET['item_type']) && $_GET['item_type'] == 'Categories' && $id==$category->term_id) ? 'selected="selected"':"" ?>><?php echo $category->name; ?></option>
                                    <?php endforeach; ?>
                                </select>
                            </td>
                        </tr>
                        <tr class="<?php echo (!isset($_GET['item_type']) || $_GET['item_type'] != 'Tags') ? 'xscmw-hidden' : "" ?> xscmw-tag">
                            <th scope="row">
                                <label for='xsmcw-item-tags'><?php esc_html_e('Select tags' , 'catalog-mode-woocommerce'); ?></label>
                            </th>
                            <td>
                                <select name="tags[]" id="xsmcw-item-tags" class="xsmw-multiple-select2" multiple="multiple" style="width: 50%">
                                    <?php foreach ($tags as $tag): ?>
                                        <option value="<?php echo $tag->term_id; ?>" <?php echo (isset($_GET['item_type']) && $_GET['item_type'] == 'Tags' && $id==$tag->term_id) ? 'selected="selected"':"" ?>><?php echo $tag->name; ?></option>
                                    <?php endforeach; ?>
                                </select>
                            </td>
                        </tr>
                        <?php if(isset($form_setting['set-form']) && $form_setting['set-form'] !='hidden_all'){ ?>
                        <tr>
                            <th scope="row">
                                <label for='xscmw-exclusion-inquiry'><?php esc_html_e('Inquiry Form'); ?></label>
                            </th>
                            <td>
                                <input type="checkbox" id="xscmw-exclusion-inquiry" name="inquiry_form" <?php echo (isset($data['inquiry_form']) && $data['inquiry_form']=='on')? 'checked':''; ?> >
                            </td>
                        </tr>
                        <?php } ?>
                        <tr>
                            <th scope="row">
                                <label for='xscmw-exclusion-addcart'><?php esc_html_e('Use to custom options for "Add to Cart"','catalog-mode-woocommerce'); ?></label>
                            </th>
                            <td>
                                <input type="checkbox" id="xscmw-exclusion-addcart" name="addcart_enable" <?php echo (isset($data['addcart_enable']) && $data['addcart_enable']=='on')? 'checked':''; ?>>
                            </td>
                                
                        </tr>
                        <tr class="<?php echo (isset($data['addcart_enable']) && $data['addcart_enable']=='on')? '':'xscmw-hidden'; ?> xscmw-exclusion-cart">
                            <th scope="row">
                                <label for='xscmw-exclusion-setaddcart'><?php esc_html_e('Set "Add to Cart" as:','catalog-mode-woocommerce'); ?></label>
                            </th>
                            <td>
                                <select name="set_add_cart" id="xscmw-exclusion-setaddcart" class="xscmw-single-select2" style="width: 25%">
                                    <option value="hidden" <?php echo (isset($data['set_add_cart']) && $data['set_add_cart']=='hidden')? 'selected="selected"':''; ?> ><?php esc_html_e('Hidden','catalog-mode-woocommerce');?></option>
                                    <option value="visible" <?php echo (isset($data['set_add_cart']) && $data['set_add_cart']=='visible')? 'selected="selected"':''; ?>><?php esc_html_e('Visible','catalog-mode-woocommerce');?></option>
                                </select>
                            </td>
                        </tr>
                        <tr class="<?php echo (isset($data['set_add_cart']) && $data['set_add_cart']=='hidden' && $data['addcart_enable']=='on')? '':'xscmw-hidden'; ?> xscmw-exclusion-cart-replace">
                            <th scope="row">
                                <label for='xscmw-exclusion-replace-prdtpage'><?php esc_html_e('Replace "Add to Cart" in product page with:','catalog-mode-woocommerce'); ?></label>
                            </th>
                            <td>
                                <select name="replace-cart-product-page" id="xscmw-exclusion-replace-prdtpage" class="xscmw-single-select2" style="width: 25%">
                                    <option value="none" <?php echo (isset($data['replace-cart-product-page']) && $data['replace-cart-product-page']=='none')? 'selected="selected"':''; ?>><?php esc_html_e('Nothing' , 'catalog-mode-woocommerce'); ?></option>
                                    <?php 
                                    if(is_array($buttons)&&!empty($buttons)){
                                        foreach ($buttons as $button): ?>
                                            <option  value="<?php echo $button->ID ?>" <?php echo  (isset($data['replace-cart-product-page']) && $data['replace-cart-product-page'] == $button->ID  ) ? 'selected="selected"':''; ?>><?php echo $button->post_title; ?></option>
                                        <?php endforeach; 
                                    }?>
                                </select>
                            </td>
                        </tr>
                        <tr class="<?php echo (isset($data['set_add_cart']) && $data['set_add_cart']=='hidden' && $data['addcart_enable']=='on')? '':'xscmw-hidden'; ?> xscmw-exclusion-cart-replace">
                            <th scope="row">
                                <label for='xscmw-exclusion-replace-shoppage'><?php esc_html_e('Replace "Add to Cart" in shop pages with:','catalog-mode-woocommerce'); ?></label>
                            </th>
                            <td>
                                <select name="replace-cart-shop-page" id="xscmw-exclusion-replace-shoppage" class="xscmw-single-select2" style="width: 25%">
                                    <option value="none" <?php echo (isset($data['replace-cart-shop-page']) && $data['replace-cart-shop-page']=='none')? 'selected="selected"':''; ?>><?php esc_html_e('Nothing' , 'catalog-mode-woocommerce'); ?></option>
                                    <?php 
                                    if(is_array($buttons)&&!empty($buttons)){
                                        foreach ($buttons as $button): ?>
                                            <option  value="<?php echo $button->ID ?>" <?php echo  (isset($data['replace-cart-shop-page']) && $data['replace-cart-shop-page'] == $button->ID  ) ? 'selected="selected"':''; ?>><?php echo $button->post_title; ?></option>
                                        <?php endforeach; 
                                    }?>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <th scope="row">
                                <label for='xscmw-exclusion-price'><?php esc_html_e('Use to custom options for Price','catalog-mode-woocommerce'); ?></label>
                            </th>
                            <td>
                               <input type="checkbox" id='xscmw-exclusion-price' name="price_enable" <?php echo (isset($data['price_enable']) && $data['price_enable']=='on')? 'checked':''; ?>> 
                            </td>
                                
                        </tr>
                        <tr class="<?php echo (isset($data['price_enable']) && $data['price_enable']=='on')? '':'xscmw-hidden'; ?> xscmw-exclusion-price">
                            <th scope="row">
                                <label for='xscmw-exclusion-setprice'><?php esc_html_e('Set price as:','catalog-mode-woocommerce'); ?></label>
                            </th>
                            <td>
                                <select name="set_price" id="xscmw-exclusion-setprice" class="xscmw-single-select2" style="width: 25%">
                                    <option value="hidden" <?php echo (isset($data['set_price']) && $data['set_price']=='hidden')? 'selected="selected"':''; ?>><?php esc_html_e('Hidden','catalog-mode-woocommerce');?></option>
                                    <option value="visible" <?php echo (isset($data['set_price']) && $data['set_price']=='visible')? 'selected="selected"':''; ?>><?php esc_html_e('Visible','catalog-mode-woocommerce');?></option>
                                </select>
                            </td>
                        </tr>
                        <tr class="<?php echo (isset($data['set_price']) && $data['set_price']=='hidden' && $data['price_enable']=='on')? '':'xscmw-hidden'; ?> xscmw-exclusion-price-replace">
                            <th scope="row">
                                <label for='xscmw-exclusion-replace-price'><?php esc_html_e('Replace price with:','catalog-mode-woocommerce'); ?></label>
                            </th>
                            <td>
                                <select name="replace-price" id="xscmw-exclusion-replace-price" class="xscmw-single-select2" style="width: 25%">
                                    <option value="none" <?php echo (isset($data['replace-price']) && $data['replace-price']=='none')? 'selected="selected"':''; ?>><?php esc_html_e('Nothing' , 'catalog-mode-woocommerce'); ?></option>
                                    <?php 
                                    if(is_array($buttons)&&!empty($buttons)){
                                        foreach ($buttons as $button): ?>
                                            <option  value="<?php echo $button->ID ?>" <?php echo  (isset($data['replace-price']) && $data['replace-price'] == $button->ID  ) ? 'selected="selected"':''; ?>><?php echo $button->post_title; ?></option>
                                        <?php endforeach; 
                                    }?>
                                </select>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <?php
                if(isset($_GET['item_type'])){
                    submit_button(esc_html__('UPDATE EXCLUSION' , 'catalog-mode-woocommerce'),'primary', 'xscmw-save-excluxion', true, array('id'=>'xscmw-add-excluxion'));
                }else{
                    submit_button(esc_html__('ADD EXCLUSION' , 'catalog-mode-woocommerce'),'primary', 'xscmw-save-excluxion', true, array('id'=>'xscmw-add-excluxion'));
                } 
                ?>
            </form>

        <?php else: ?>
            <a class='xscmw-add-excluxion' href="<?php echo admin_url().'admin.php?page=exclusion_list&tab=single_exclusion';?>"><?php esc_html_e('+ ADD EXCLUSION', 'catalog-mode-woocommerce'); ?></a>
            <div id="poststuff">
                <div id="post-body" class="metabox-holder">
                    <div id="post-body-content">
                        <div class="meta-box-sortables ui-sortable">
                            <form method="post">
                                <?php 
                                    $exclusionListTable->prepare_items(); 
                                    $exclusionListTable->display();
                                ?>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        <?php endif;?>
    </div>
</div>