<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://xfinitysoft.com
 * @since      1.0.0
 *
 * @package    catalog_mode_woocommerce
 * @subpackage catalog_mode_woocommerce/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap xscmw-container">
    <h2><?php esc_html_e('Catalog Mode for Woocommerce', 'catalog-mode-woocommerce'); ?></h2>
    <nav class="nav nav-tabs xscmw-tabs">
        <a class="nav-tab"  href="<?php echo admin_url().'admin.php?page=catalog_mode'; ?>"><?php esc_html_e('SETTINGS', 'catalog-mode-woocommerce') ?></a>
        <a class="nav-tab"  href="<?php echo admin_url().'admin.php?page=exclusion_list'; ?>"><?php esc_html_e('EXCLUSION LIST', 'catalog-mode-woocommerce') ?></a>
        <a class="nav-tab nav-tab-active xscmw_active"  href="<?php echo admin_url().'admin.php?page=xscmw_inquiry'; ?>"><?php esc_html_e('INQUIRY FORM', 'catalog-mode-woocommerce') ?></a>
        <a class="nav-tab"  href="<?php echo admin_url().'edit.php?post_type=xscmw-button-label'; ?>"><?php esc_html_e('BUTTON & LABELS', 'catalog-mode-woocommerce') ?></a>
    </nav>
    <div class="wrap xscmw-inner">
        <form action='options.php' method='post' id='xscmw-inquiry-form'>
            <?php
                settings_fields('xscmw_inquiry_forms') ;
                do_settings_sections('xscmw_inquiry_forms');
                $settings = get_option('xscmw_inquiry_form',true); 
                
                if(isset($settings['form_plugin']) && $settings['form_plugin'] =='contct_form_7'){
                    $settings['form_name'] = get_the_title($settings['choose_form']);
                }
                if(isset($settings['form_plugin']) && $settings['form_plugin'] =='ninja_forms'){
                    global $wpdb;
                    $form_query = "SELECT form_title FROM {$wpdb->prefix}nf3_forms WHERE id='".$settings['choose_form']."' ORDER BY form_title";
                    $settings['form_name'] = $wpdb->get_var($form_query);
                }
            ?>
            <table class="form-table">
                <tbody>
                    <tr>
                        <th scope="row">
                            <label for='xsmcw-set-form'><?php esc_html_e('Set inquiry form as:' , 'catalog-mode-woocommerce'); ?></label>
                        </th>
                        <td>
                            <input type="radio" id="xscmw-hidden-all" name="xscmw_inquiry_form[set-form]" value="hidden_all" <?php echo (!isset($settings['set-form']) || $settings['set-form'] =='hidden_all' ) ? 'checked="checked"': ''?>>
                            <label for="xscmw-hidden-all"><?php esc_html_e('Hidden in all products','catalog-mode-woocommerce'); ?></label><br>
                            <input type="radio" id="xscmw-visible-all" name="xscmw_inquiry_form[set-form]" value="visible_all" <?php echo (isset($settings['set-form']) && $settings['set-form'] =='visible_all' ) ? 'checked="checked"': ''?>>
                            <label for="xscmw-visible-all"><?php esc_html_e('visible in all products','catalog-mode-woocommerce'); ?></label><br>
                            <input type="radio" id="xscmw-visible-list" name="xscmw_inquiry_form[set-form]" value="visible_list" <?php echo (isset($settings['set-form']) && $settings['set-form'] =='visible_list' ) ? 'checked="checked"': ''?>>
                            <label for="xscmw-visible-list"><?php esc_html_e('Visible in items of Exclusion list only','catalog-mode-woocommerce'); ?></label><br>
                            <p><?php esc_html_e('Choose whether to enable the inquiry form to all products or only to the ones in the exclusion list.','catalog-mode-woocommerce'); ?></p>
                        </td>
                    </tr>
                    <tr>
                        <th scope="row">
                            <label for='xsmcw-form-plugin'><?php esc_html_e('Form Plugin' , 'catalog-mode-woocommerce'); ?></label>
                        </th>
                        <td>
                            <select name="xscmw_inquiry_form[form_plugin]" id="xsmcw-form-plugin" class="xscmw-single-select2" style="width: 25%">
                                <option value="none" <?php echo (isset($settings['form_plugin']) && $settings['form_plugin'] =='none' ) ? 'selected="selected"': ''?>><?php esc_html_e('Select plugin','catalog-mode-woocommerce'); ?></option>
                                <?php if(is_plugin_active('contact-form-7/wp-contact-form-7.php')): ?>
                                    <option value="contct_form_7" <?php echo (isset($settings['form_plugin']) && $settings['form_plugin'] =='contct_form_7' ) ? 'selected="selected"': ''?>><?php esc_html_e('Contact Form 7','catalog-mode-woocommerce'); ?></option>
                                <?php endif; ?>
                                <?php if(is_plugin_active('ninja-forms/ninja-forms.php')): ?>
                                    <option value="ninja_forms" <?php echo (isset($settings['form_plugin']) && $settings['form_plugin'] =='ninja_forms' ) ? 'selected="selected"': ''?>><?php esc_html_e('Ninja Forms','catalog-mode-woocommerce'); ?></option>
                                <?php endif; ?>
                            </select>
                        </td>
                    </tr>
                    <tr class="<?php echo (!isset($settings['form_plugin']) || $settings['form_plugin'] =='none' ) ? 'xscmw-hidden': ''?> xsmcw-choose-form">
                        <th scope="row">
                            <label for='xsmcw-choose-form'><?php esc_html_e('Choose form' , 'catalog-mode-woocommerce'); ?></label>
                        </th>
                        <td>
                            <select name="xscmw_inquiry_form[choose_form]" id="xsmcw-choose-form" class="xscmw-single-select2" style="width: 25%">
                                <?php
                                    if(isset($settings['form_plugin']) && $settings['form_plugin'] != 'none'){
                                        echo "<option value='".$settings['choose_form']."' selected='selected'>".$settings['form_name']."</option>";
                                    }
                                ?>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <th scope="row">
                            <label for='xsmcw-show-form'><?php esc_html_e('Show form in:' , 'catalog-mode-woocommerce'); ?></label>
                        </th>
                        <td>
                            <input type="radio" id="xscmw-woo-tabs" name="xscmw_inquiry_form[show-form]" value="woo_tabs" <?php echo (!isset($settings['show-form']) || $settings['show-form'] =='woo_tabs' ) ? 'checked="checked"': ''?>>
                            <label for="xscmw-woo-tabs"><?php esc_html_e('WooCommerce Tabs','catalog-mode-woocommerce'); ?></label><br>
                            <input type="radio" id="xscmw-woo-area" name="xscmw_inquiry_form[show-form]" value="woo_area" <?php echo (isset($settings['show-form']) && $settings['show-form'] =='woo_area' ) ? 'checked="checked"': ''?>>
                            <label for="xscmw-woo-area"><?php esc_html_e('Short description area','catalog-mode-woocommerce'); ?></label><br>
                        </td>
                    </tr>
                    <tr class="<?php echo (!isset($settings['show-form']) || $settings['show-form'] != 'woo_area' ) ? 'xscmw-hidden': ''?> xsmcw-form-position">
                        <th scope="row">
                            <label for='xsmcw-form-position'><?php esc_html_e('Form Position' , 'catalog-mode-woocommerce'); ?></label>
                        </th>
                        <td>
                            <select name="xscmw_inquiry_form[form-position]" id="xsmcw-form-position" class="xscmw-single-select2" style="width: 25%">
                                <option value="after_price" <?php echo (isset($settings['form-position']) && $settings['form-position'] =='after_price' ) ? 'selected="selected"': ''?>><?php esc_html_e('After price','catalog-mode-woocommerce') ?></option>
                                <option value="after_des" <?php echo (isset($settings['form-position']) && $settings['form-position'] =='after_des' ) ? 'selected="selected"': ''?>><?php esc_html_e('After short description','catalog-mode-woocommerce') ?></option>
                                <option value="after_cart" <?php echo (isset($settings['form-position']) && $settings['form-position'] =='after_cart' ) ? 'selected="selected"': ''?>><?php esc_html_e('After "Add to cart" button','catalog-mode-woocommerce') ?></option>
                            </select>
                        </td>
                    </tr>
                    <tr class="<?php echo (!isset($settings['show-form']) || $settings['show-form'] != 'woo_area' ) ? 'xscmw-hidden': ''?>  xsmcw-form-position">
                        <th scope="row">
                            <label for='xsmcw-form-style'><?php esc_html_e('Form style' , 'catalog-mode-woocommerce'); ?></label>
                        </th>
                        <td>
                            <input type="radio" id="xscmw-classic" name="xscmw_inquiry_form[form-style]" value="classic"<?php echo (!isset($settings['form-style']) || $settings['form-style'] =='classic' ) ? 'checked="checked"': ''?>>
                            <label for="xscmw-classic"><?php esc_html_e('Classic','catalog-mode-woocommerce'); ?></label><br>
                            <input type="radio" id="xscmw-toggle" name="xscmw_inquiry_form[form-style]" value="toggle" <?php echo (isset($settings['form-style']) && $settings['form-style'] =='toggle' ) ? 'checked="checked"': ''?>>
                            <label for="xscmw-toggle"><?php esc_html_e('Hidden in toggle','catalog-mode-woocommerce'); ?></label><br>
                        </td>
                    </tr>
                    <tr class="<?php echo (isset($settings['form-style']) && $settings['form-style'] !='classic' ) ? 'xscmw-hidden': ''?> xsmcw-tab-title">
                        <th scope="row">
                            <label for='xsmcw-tab-title'><?php esc_html_e('Tab title' , 'catalog-mode-woocommerce'); ?></label>
                        </th>
                        <td>
                            <input type="text" id="xscmw-tab-title" name="xscmw_inquiry_form[tab-title]" value="<?php echo (isset($settings['tab-title'])) ? $settings['tab-title']: ''?> ">
                        </td>
                    </tr>
                    <tr class="xsmcw-text-before-form">
                        <th scope="row">
                            <label for='xsmcw-text-before-form'><?php esc_html_e('Text before form' , 'catalog-mode-woocommerce'); ?></label>
                        </th>
                        <td>
                            <?php $context = isset($settings['text-before-form']) ? $settings['text-before-form']: '' ?>
                            <?php wp_editor($context , 'xsmcw-text-before-form',array( 'media_buttons' => false,'textarea_name'=>'xscmw_inquiry_form[text-before-form]' ));?>
                        </td>
                    </tr>
                </tbody>    
            </table>
            <?php
            submit_button(esc_html__('Save Changes' , 'catalog-mode-woocommerce'),'primary', 'xscmw-save-inquiry', true);
            ?>
        </form>
    </div>
</div>