<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://xfinitysoft.com
 * @since      1.0.0
 *
 * @package    catalog_mode_woocommerce
 * @subpackage catalog_mode_woocommerce/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap xscmw-container">
    <h2><?php esc_html_e('Catalog Mode for Woocommerce', 'catalog-mode-woocommerce'); ?></h2>
    <?php settings_errors(); ?>
    <nav class="nav nav-tabs xscmw-tabs">
        <a class="nav-tab nav-tab-active xscmw_active"  href="<?php echo admin_url().'admin.php?page=catalog_mode'; ?>"><?php esc_html_e('SETTINGS', 'catalog-mode-woocommerce') ?></a>
        <a class="nav-tab"  href="<?php echo admin_url().'admin.php?page=exclusion_list'; ?>"><?php esc_html_e('EXCLUSION LIST', 'catalog-mode-woocommerce') ?></a>
        <a class="nav-tab"  href="<?php echo admin_url().'admin.php?page=xscmw_inquiry'; ?>"><?php esc_html_e('INQUIRY FORM', 'catalog-mode-woocommerce') ?></a>
        <a class="nav-tab"  href="<?php echo admin_url().'edit.php?post_type=xscmw-button-label'; ?>"><?php esc_html_e('BUTTON & LABELS', 'catalog-mode-woocommerce') ?></a>
    </nav>
    <div class="wrap xscmw-inner">
        <form method="post" action="options.php" class="xscmw-settings">
            <?php 

                settings_fields('xscmw_settings') ;
                do_settings_sections('xscmw_settings');
                $settings = get_option('xscmw_setting',true);
                $buttons = get_posts(array(
                     'posts_per_page' => -1,
                     'post_type'      => 'xscmw-button-label',
                     'post_status'    => 'publish'
                )); 
            ?>
            <table class="form-table">
                <body>
                    <tr>
                        <th><?php esc_html_e('Enable Catalog Mode For' , 'catalog-mode-woocommerce'); ?></th>
                        <td class="xscmw-custom-td">
                            <select name="xscmw_setting[users]" class="xscmw-users xscmw-single-select2">
                                <option value='all-users' <?php echo  (isset($settings['users']) && $settings['users'] == 'all-users' ) ? 'selected="selected"':''; ?> ><?php esc_html_e('All Users','catalog-mode-woocommerce'); ?></option>
                                <option value='guest-users' <?php echo  (isset($settings['users']) && $settings['users'] == 'guest-users' ) ? 'selected="selected"':''; ?>><?php esc_html_e('Guest Users','catalog-mode-woocommerce'); ?></option>
                                <option value='role-user' <?php echo  (isset($settings['users']) && $settings['users'] == 'role-user' ) ? 'selected="selected"':''; ?>><?php esc_html_e('Role','catalog-mode-woocommerce'); ?></option>
                            </select>
                        </td>
                        <td class="<?php echo (isset($settings['users']) && $settings['users'] == 'role-user' ) ? '':'xscmw-hidden'; ?> xscmw-role">
                            <?php
                                global $wp_roles;
                                $all_roles = $wp_roles->get_names();
                            ?>
                            <select name="xscmw_setting[roles]" class="xscmw-single-select2">
                                <option value="none"  <?php echo  (isset($settings['roles']) && $settings['roles'] == 'none' ) ? 'selected="selected"':''; ?> ><?php esc_html_e('Select the role','catalog-mode-woocommerce'); ?></option>
                                <?php foreach ($all_roles as $role => $name): ?>
                                    <option value="<?php echo $role; ?>" <?php echo  (isset($settings['roles']) && $settings['roles'] == $role ) ? 'selected="selected"':''; ?>><?php echo $name ?></option>
                                <?php  endforeach; ?>
                                
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <th><?php esc_html_e('Additional geolocation filter') ?></th>
                        <td><input type="checkbox" name="xscmw_setting[enable-geolocation]" class="enable-geolocation" <?php echo  (isset($settings['enable-geolocation']) && $settings['enable-geolocation'] == 'on' ) ? 'checked="checked"':''; ?>></td>
                    </tr>
                    <tr class="<?php echo  (isset($settings['enable-geolocation']) && $settings['enable-geolocation'] == 'on' ) ? '':'xscmw-hidden'; ?> xscmw-geolacation">
                        <th>
                            <?php esc_html_e('Enable or disbale Catalog Mode setting to users from specfic Countries','catalog-mode-woocommerce')?>
                        </th>
                        <td>
                            <div class="xs-set-div-text">
                                <select name='xscmw_setting[catelog-mode]' class="xscmw-single-select2">
                                    <option value='enable' <?php echo  (isset($settings['catelog-mode']) && $settings['catelog-mode'] == 'enable' ) ? 'selected="selected"':''; ?>><?php esc_html_e('Enable Catalog Mode','catalog-mode-woocommerce'); ?></option>
                                    <option value='disable' <?php echo  (isset($settings['catelog-mode']) && $settings['catelog-mode'] == 'disable' ) ? 'selected="selected"':''; ?>><?php esc_html_e('Disable Catalog Mode','catalog-mode-woocommerce'); ?></option>
                                </select>
                                <span class="xs-text-for">
                                    <?php esc_html_e('for','catalog-mode-woocommerce') ?>
                                </span>
                                    
                            </div> 
                        </td>
                        <td class="xscmw-custom-td">
                            <select name="xscmw_setting[catalog-users]" class="xscmw-catalog-users xscmw-single-select2">
                                <option value='all-users' <?php echo  (isset($settings['catalog-users']) && $settings['catalog-users'] == 'all-users' ) ? 'selected="selected"':''; ?>><?php esc_html_e('All Users','catalog-mode-woocommerce'); ?></option>
                                <option value='guest-users' <?php echo  (isset($settings['catalog-users']) && $settings['catalog-users'] == 'guest-users' ) ? 'selected="selected"':''; ?>><?php esc_html_e('Guest Users','catalog-mode-woocommerce'); ?></option>
                                <option value='role-user' <?php echo  (isset($settings['catalog-users']) && $settings['catalog-users'] == 'role-user' ) ? 'selected="selected"':''; ?>><?php esc_html_e('Role','catalog-mode-woocommerce'); ?></option>
                            </select>
                        </td>
                        <td class="<?php echo  (isset($settings['catalog-users']) && $settings['catalog-users'] == 'role-user' ) ? '':'xscmw-hidden'; ?>  xscmw-catalog-role">
                            <select name="xscmw_setting[catalog-roles]" class="xscmw-single-select2">
                                <option value="none" <?php echo  (isset($settings['catalog-roles']) && $settings['catalog-roles'] == 'none' ) ? 'selected="selected"':''; ?>><?php esc_html_e('Select the role','catalog-mode-woocommerce'); ?></option>
                                <?php foreach ($all_roles as $role => $name): ?>
                                    <option value="<?php echo $role; ?>" <?php echo  (isset($settings['catalog-roles']) && $settings['catalog-roles'] == $role ) ? 'selected="selected"':''; ?>><?php echo $name ?></option>
                                <?php  endforeach; ?>
                                
                            </select>
                        </td>
                        <td>
                            <div class="xs-set-div-text">
                                <span class="xs-text-from">
                                    <?php esc_html_e('from','catalog-mode-woocommerce'); ?>
                                </span>
                                <?php 
                                global $woocommerce;
                                $countries_obj   = new WC_Countries();
                                $countries   = $countries_obj->__get('countries'); 
                                ?>
                                <select name="xscmw_setting[catalog-countries][]" class="catalog-countries" multiple="multiple" style="width:250px">  
                                    <?php if(is_array($countries)):?>
                                        <?php foreach ($countries as $code => $name): ?>
                                            <option value="<?php echo $code ?>" <?php echo  (isset($settings['catalog-countries']) && in_array($code, $settings['catalog-countries'])) ? 'selected="selected"':''; ?>><?php echo $name; ?></option>
                                        <?php endforeach; ?>
                                    <?php endif;?> 
                                </select>
                            </div>
                        </td>
                        <td>
                            <button class="xscmw-button xscmw-add"><?php esc_html_e( 'Add all', 'catalog-mode-woocommerce'); ?></button>
                            <button class="xscmw-button xscmw-clear"><?php esc_html_e( 'Clear all', 'catalog-mode-woocommerce'); ?></button>
                        </td>
                    </tr>
                    <tr>
                        <th><?php esc_html_e('Disable Shop','catalog-mode-woocommerce') ?></th>
                        <td><input type="checkbox" name="xscmw_setting[disable-shop]" class="disable-shop" <?php echo  (isset($settings['disable-shop']) && $settings['disable-shop'] == 'on' ) ? 'checked="checked"':''; ?>></td>
                    </tr>
                    <tr class="xscmw-disable-shop <?php echo  (isset($settings['disable-shop']) && $settings['disable-shop'] == 'on' ) ? 'xscmw-hidden':''; ?>">
                        <th><?php esc_html_e('"Add to Cart" settings in Catalog Mode','catalog-mode-woocommerce') ?></th>
                        <td>
                            <div class="xs-set-div-text">
                                <select name="xscmw_setting[enable-cart]" class="xscmw-single-select2">
                                    <option value="hide" <?php echo  (isset($settings['enable-cart']) && $settings['enable-cart'] == 'hide' ) ? 'selected="selected"':''; ?>><?php esc_html_e('Hide "Add to Cart"' ,'catalog-mode-woocommerce' ); ?></option>
                                    <option value="show" <?php echo  (isset($settings['enable-cart']) && $settings['enable-cart'] == 'show' ) ? 'selected="selected"':''; ?>><?php esc_html_e('Show "Add to Cart"' ,'catalog-mode-woocommerce' ); ?></option>
                                </select>
                                <span class="xs-text-for">
                                    <?php esc_html_e('in','catalog-mode-woocommerce') ?>
                                </span>  
                            </div> 
                        </td>
                        <td>
                            <div class="xs-set-div-text">
                                <select name="xscmw_setting[pages]" class="xscmw-single-select2">
                                    <option value="all" <?php echo  (isset($settings['pages']) && $settings['pages'] == 'all' ) ? 'selected="selected"':''; ?>><?php esc_html_e('All Pages','catalog-mode-woocommerce'); ?></option>
                                    <option value="shop" <?php echo  (isset($settings['pages']) && $settings['pages'] == 'shop' ) ? 'selected="selected"':''; ?>><?php esc_html_e('Shop Page' , 'catalog-mode-woocommerce'); ?></option>
                                    <option value="product" <?php echo  (isset($settings['pages']) && $settings['pages'] == 'product' ) ? 'selected="selected"':''; ?>><?php esc_html_e('Product Page' , 'catalog-mode-woocommerce'); ?></option>
                                </select>
                                <span class="xs-text-for">
                                    <?php esc_html_e('for','catalog-mode-woocommerce') ?>
                                </span>  
                            </div> 
                        </td>
                        <td>
                            <select name="xscmw_setting[products]" class="xscmw-single-select2">
                                <option value="All" <?php echo  (isset($settings['products']) && $settings['products'] == 'All' ) ? 'selected="selected"':''; ?>><?php esc_html_e('All Product' , 'catalog-mode-woocommerce'); ?></option>
                                <option value="exclusion_list" <?php echo  (isset($settings['products']) && $settings['products'] == 'exclusion_list' ) ? 'selected="selected"':''; ?>><?php esc_html_e('items in exclusion list only' , 'catalog-mode-woocommerce'); ?></option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <th><?php esc_html_e('Hide product variations','catalog-mode-woocommerce') ?></th>
                        <td><input type="checkbox" name="xscmw_setting[hide-variation]" class="hide-variation" <?php echo  (isset($settings['hide-variation']) && $settings['hide-variation'] == 'on' ) ? 'checked="checked"':''; ?>></td>
                    </tr>
                    <tr>
                        <th><?php esc_html_e('In product pages, replace "add to cart" with:','catalog-mode-woocommerce') ?></th>
                        <td>
                            <select name="xscmw_setting[pdt-replace-add-cart]" class="xscmw-single-select2">
                                <option value="none" <?php echo  (isset($settings['pdt-replace-add-cart']) && $settings['pdt-replace-add-cart'] == 'none' ) ? 'selected="selected"':''; ?>><?php esc_html_e('Nothing' , 'catalog-mode-woocommerce'); ?></option>
                                <?php 
                                if(is_array($buttons)&&!empty($buttons)){
                                    foreach ($buttons as $button): ?>
                                        <option  value="<?php echo $button->ID ?>" <?php echo  (isset($settings['pdt-replace-add-cart']) && $settings['pdt-replace-add-cart'] == $button->ID  ) ? 'selected="selected"':''; ?>><?php echo $button->post_title; ?></option>
                                    <?php endforeach; 
                                }?>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <th><?php esc_html_e('In shop pages, replace add to cart with:','catalog-mode-woocommerce') ?></th>
                        <td>
                            <select name="xscmw_setting[shop-replace-add-cart]" class="xscmw-single-select2">
                                <option value="none" <?php echo  (isset($settings['shop-replace-add-cart']) && $settings['shop-replace-add-cart'] == 'none' ) ? 'selected="selected"':''; ?>><?php esc_html_e('Nothing' , 'catalog-mode-woocommerce'); ?></option>
                                 <?php 
                                if(is_array($buttons)&&!empty($buttons)){
                                    foreach ($buttons as $button): ?>
                                        <option  value="<?php echo $button->ID ?>" <?php echo  (isset($settings['shop-replace-add-cart']) && $settings['shop-replace-add-cart'] == $button->ID  ) ? 'selected="selected"':''; ?>><?php echo $button->post_title; ?></option>
                                    <?php endforeach; 
                                }?>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <th><?php esc_html_e('Price settings in Catalog Mode:','catalog-mode-woocommerce') ?></th>
                        <td>
                            <div class="xs-set-div-text">
                                <select name="xscmw_setting[price]" class="xscmw-single-select2">
                                    <option value="hide" <?php echo (isset($settings['price']) && $settings['price'] == 'hide' ) ? 'selected="selected"':''; ?>><?php esc_html_e('Hide Price' ,'catalog-mode-woocommerce' ); ?></option>
                                    <option value="show" <?php echo  (isset($settings['price']) && $settings['price'] == 'show' ) ? 'selected="selected"':''; ?>><?php esc_html_e('Show Price' ,'catalog-mode-woocommerce' ); ?></option>
                                </select>
                                <span class="xs-text-for">
                                    <?php esc_html_e('for','catalog-mode-woocommerce') ?>
                                </span>  
                            </div> 
                        </td>
                        <td>
                            <select name="xscmw_setting[price-pages]" class="xscmw-single-select2">
                                <option value="all" <?php echo  (isset($settings['price-pages']) && $settings['price-pages'] == 'all' ) ? 'selected="selected"':''; ?>><?php esc_html_e('All Pages','catalog-mode-woocommerce'); ?></option>
                                <option value="shop" <?php echo  (isset($settings['price-pages']) && $settings['price-pages'] == 'shop' ) ? 'selected="selected"':''; ?>><?php esc_html_e('Shop Page' , 'catalog-mode-woocommerce'); ?></option>
                                <option value="product" <?php echo  (isset($settings['price-pages']) && $settings['price-pages'] == 'product' ) ? 'selected="selected"':''; ?>><?php esc_html_e('Product Page' , 'catalog-mode-woocommerce'); ?></option>
                            </select> 
                        </td>
                    </tr>
                    <tr>
                        <th><?php esc_html_e('Where hidden, replace price with:','catalog-mode-woocommerce') ?></th>
                        <td>
                            <select name="xscmw_setting[price-replace-add-cart]" class="xscmw-single-select2">
                                <option value="none" <?php echo  (isset($settings['price-replace-add-cart']) && $settings['price-replace-add-cart'] == 'none' ) ? 'selected="selected"':''; ?>><?php esc_html_e('Nothing' , 'catalog-mode-woocommerce'); ?></option>
                                <?php 
                                if(is_array($buttons)&&!empty($buttons)){
                                    foreach ($buttons as $button): ?>
                                        <option  value="<?php echo $button->ID ?>" <?php echo  (isset($settings['price-replace-add-cart']) && $settings['price-replace-add-cart'] == $button->ID  ) ? 'selected="selected"':''; ?>><?php echo $button->post_title; ?></option>
                                    <?php endforeach; 
                                }?>
                            </select>
                        </td>
                    </tr>
                </body>
            </table>
            <?php submit_button('Save Changes'); ?>
        </form>
    </div>
</div>
