<?php

/**
 * Fired during plugin activation
 *
 * @link       http://xfinitysoft.com
 * @since      1.0.0
 *
 * @package    catalog_mode_woocommerce
 * @subpackage catalog_mode_woocommerce/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    catalog_mode_woocommerce
 * @subpackage catalog_mode_woocommerce/includes
 * @author     Xfinitysoft <support@xfinitysoft.com>
 */
class catalog_mode_woocommerce_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
        $settings = get_option('xscmw_setting',true);
        if(empty($settings)||!is_array($settings)){
            $settings = array(
                "users" => "all-users",
                "roles" => "author",
                "catelog-mode" => "enable",
                "catalog-users" => "all-users",
                "catalog-roles" => "none",
                "enable-cart" => "hide",
                "pages" => "all",
                "products" => "All",
                "pdt-replace-add-cart" => "none",
                "shop-replace-add-cart" => "none",
                "price" => "show",
                "price-pages" => "all",
                "price-replace-add-cart" => "none"
            );
            update_option('xscmw_setting',$settings);
        }

	}

}
