var CWSA_ADMIN = CWSA_ADMIN || {};

(function ($) {
	"use strict";

	CWSA_ADMIN = {
		init: function () {
			this.initTooltip($('body'));
			this.createNewPageProcess();
			this.formRegisterManagement();
			this.dropSandBox();
		},
		initTooltip: function ($wrap) {
			$wrap.find('.cwsa-tips' ).tipTip({
				'defaultPosition': 'top',
				'attribute': 'data-tip',
				'fadeIn': 50,
				'fadeOut': 50,
				'delay': 200
			});
		},
		createNewPageProcess: function () {
			$('.cwsa-create-new-page').on('click', function (event) {
				event.preventDefault();

				var $this = $(this),
					urlRequest = $this.attr('href'),
					$inner = $this.closest('.cwsa-create-page-inner'),
					$wrap = $this.closest('.cwsa-create-page-wrap');
				$.ajax({
					url: urlRequest,
					type: 'get',
					success: function (res) {
						var $res = $(res);
						$inner.hide();
						$wrap.prepend($res);

						CWSA_ADMIN.initTooltip($res);
						$res.find('.cwsa-cancel-create-page-request').on('click', function () {
							$inner.show();
							$res.remove();
							$("#tiptip_holder").hide();
						});
					}
				})
			});
		},
		formRegisterManagement: function () {
			$('#cwsa_form_register_management button[type="submit"]').mousedown( function() {
				$('#cwsa_form_register_management input[name="paged"]').val(1);
			});
		},
		dropSandBox: function () {
			$('a[data-cwsa-confirm]').on('click', function (event) {
				var $this = $(this);
				if (!confirm($this.data('cwsa-confirm'))) {
					event.preventDefault();
				}
			});
		}
	};

	$(document).ready(function () {
		CWSA_ADMIN.init();
	});
})(jQuery);