<?php
/**
 * Plugin Name: Create WordPress Sandbox Automatic
 * Plugin URI: https://codecanyon.net/item/wordpress-sandbox-easy-to-create-a-test-environment/26611348
 * Description: Automatic creating sandbox sites with WordPress Multisite is a quick way to let your potential customers try out your theme or plugin in a true-to-life environment.
 * Version: 1.0.2
 * Author: G5Theme
 * Author URI: https://codecanyon.net/user/g5theme/portfolio
 * Text Domain: cwsa
 * Domain Path: /languages/
 * License: GPLv2 or later
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

// Define plugin FILE.
if ( ! defined( 'CWSA_PLUGIN_FILE' ) ) {
	define( 'CWSA_PLUGIN_FILE', __FILE__ );
}

/**
 * Define ABSPATH for plugin
 */
if ( ! defined( 'CWSA_ABSPATH' ) ) {
	define('CWSA_ABSPATH', plugin_dir_path( CWSA_PLUGIN_FILE ));
}

/**
 * Enable template debug mode
 */
if ( ! defined( 'CWSA_TEMPLATE_DEBUG_MODE' ) ) {
	define('CWSA_TEMPLATE_DEBUG_MODE', false);
}

// Include the main DirPlus class.
if ( ! class_exists( 'CreateWordPressSandboxAutomatic' ) ) {
	include_once CWSA_ABSPATH . 'inc/cwsa.class.php';

	/**
	 * @return CreateWordPressSandboxAutomatic
	 */
	function CWSA() {
		return CreateWordPressSandboxAutomatic::get_instance();
	}

	CWSA()->init();
}