<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
if ( ! class_exists( 'CWSA_Admin_Assets' ) ):
	class CWSA_Admin_Assets {
		private static $_instance;

		public static function get_instance() {
			if ( self::$_instance == null ) {
				self::$_instance = new self();
			}

			return self::$_instance;
		}

		public function init() {
			add_action( 'init', array( $this, 'register_scripts' ) );
			add_action( 'admin_enqueue_scripts', array( $this, 'enqueue_scripts' ) );
		}

		public function register_scripts() {
			wp_register_script( 'jquery-tiptip', cwsa_get_asset_url( 'assets/vendors/jquery-tiptip/jquery.tipTip.min.js' ), array( 'jquery' ), '1.3', true );

			wp_register_style( cwsa_get_assets_handle( 'admin' ), cwsa_get_asset_url( 'assets/css/admin.min.css' ), array(), cwsa_get_plugin_version() );
			wp_register_script( cwsa_get_assets_handle( 'admin' ), cwsa_get_asset_url( 'assets/js/admin.min.js' ), array( 'jquery' ), cwsa_get_plugin_version(), true );
		}

		public function enqueue_scripts() {
			wp_enqueue_script( 'jquery-tiptip' );

			wp_enqueue_style( cwsa_get_assets_handle( 'admin' ) );
			wp_enqueue_script( cwsa_get_assets_handle( 'admin' ) );
		}
	}
endif;