<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}
add_action('init', 'cwsa_view_email_template');
function cwsa_view_email_template() {
	if (!isset($_GET['cwsa_view_email_template_nonce'])
		|| !wp_verify_nonce($_GET['cwsa_view_email_template_nonce'], 'cwsa_view_email_template_action')) {
		return;
	}

	cwsa_get_template('emails/email-header.php', array(
		'email_heading' => esc_html__('Email Template Preview','cwsa'),
	));

	cwsa_get_template('emails/email-content-temp.php');

	cwsa_get_template('emails/email-footer.php', array(
		'additional_content' => '',
		'footer_text' => CWSA()->options()->get_email_footer_text(),
	));
}

function cwsa_email_table_style($type) {
	$css = '';
	switch ($type) {
		case 'email-body':
			$css = 'padding: 60px 0';
			break;
		case 'email-heading':
			$css = 'margin: 15px 0;font-size: 24px;';
			break;
		case 'table-header':
			$css = "width:100%;font-family: 'Helvetica Neue', Helvetica, Roboto, Arial, sans-serif; font-size: 12px; line-height: 150%;font-size: 16px;";
			break;
		case 'table-header-inner':
			$css = 'border-collapse:collapse;margin:auto;width:600px;max-width:100%;border-radius: 5px;overflow: hidden;';
			break;
		case 'table-header-background':
			$css = 'padding: 20px 40px;border: solid 1px #0f3652;background: #0f3652;color:#fff;';
			break;
		case 'table-header-border':
			$css = 'padding: 20px 40px;border: solid 1px #eee';
			break;
		case 'table-footer':
			$css = 'width: 600px; max-width: 100%; margin: auto';
			break;
		case 'table-footer-text':
			$css = 'color:#7b7b7b;padding: 10px 40px;text-align: center;font-size: 12px;';
			break;
		case 'vertical-align-top':
			$css = 'vertical-align: top';
			break;
	}
	$css = 'style="' . esc_attr($css) . '"';
	echo apply_filters('cwsa_email_table_style', $css, $type);
}
