<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
if ( ! class_exists( 'CWSA_Assets' ) ):
	class CWSA_Assets {
		private static $_instance;

		public static function get_instance() {
			if ( self::$_instance == null ) {
				self::$_instance = new self();
			}

			return self::$_instance;
		}

		public function init() {
			add_action( 'init', array( $this, 'register_scripts' ) );
			add_action( 'wp_enqueue_scripts', array( $this, 'enqueue_scripts' ) );
		}

		public function register_scripts() {
			wp_register_style( cwsa_get_assets_handle( 'frontend' ), cwsa_get_asset_url( 'assets/css/frontend.min.css' ), array(), cwsa_get_plugin_version() );
		}

		public function enqueue_scripts() {
			wp_enqueue_style( cwsa_get_assets_handle( 'frontend' ) );
		}
	}
endif;