<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'CWSA_Background_Process', false ) ) {
	include_once( CWSA_ABSPATH . 'inc/background-process/background-process.class.php');
}

class CWSA_Background_Process_Mailer extends CWSA_Background_Process {
	/**
	 * Initiate new background process.
	 */
	public function __construct() {
		// Uses unique prefix per blog so each blog has separate queue.
		$this->prefix = 'wp_' . get_current_blog_id();
		$this->action = 'CWSA_mailer';

		// This is needed to prevent timeouts due to threading. See https://core.trac.wordpress.org/ticket/36534.
		putenv( 'MAGICK_THREAD_LIMIT=1' ); // @codingStandardsIgnoreLine.

		parent::__construct();
	}

	/**
	 * Is job running?
	 *
	 * @return boolean
	 */
	public function is_running() {
		return !$this->is_queue_empty();
	}

	protected function batch_limit_exceeded() {
		return true;
	}

	protected function task( $item ) {
		if ( is_array($item) && isset($item['user_email']) && isset($item['subject']) && isset($item['message'])) {
			try {
				CWSA()->email()->send_email( $item['user_email'], $item['subject'], $item['message'], isset($item['header']) ? $item['header'] : '' );
			}
			catch ( Exception $e ) {}
		}
		return false;
	}

}