<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}
if (!class_exists('CWSA_Cache')) {
	class CWSA_Cache
	{
		private static $_instance;
		public static function getInstance()
		{
			if (self::$_instance == null) {
				self::$_instance = new self();
			}
			return self::$_instance;
		}

		private $_data = array();

		public function is_exists($key) {
			return isset($this->_data[$key]);
		}

		public function set_value($key, $value) {
			$this->_data[$key] = $value;
		}

		public function get_value($key, $default = '') {
			return isset($this->_data[$key]) ? $this->_data[$key] : $default;
		}

		public function delete($key) {
			unset($this->_data[$key]);
		}

		public function clear() {
			$this->_data = array();
		}
	}
}