<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}

if (!class_exists('CWSA_Email')) {
	class CWSA_Email {
		private static $_instance;
		public static function get_instance()
		{
			if (self::$_instance == NULL) {
				self::$_instance = new self();
			}

			return self::$_instance;
		}

		/**
		 * @var CWSA_Background_Process_Mailer
		 */
		public static $background_mailer = null;

		public function init() {
			self::$background_mailer = new CWSA_Background_Process_Mailer();
		}

		public function replace_email_template($content, $replaces) {
			foreach ($replaces as $key => $value) {
				$content = str_replace("{{$key}}", $value, $content);
			}
			return $content;
		}

		public function send_email($user_email, $subject, $message, $header = '') {
			if ($header === '') {
				$header = array('Content-Type: text/html; charset=UTF-8');
			}

			if (!wp_mail( $user_email, wp_specialchars_decode( $subject ), $message, $header )) {
				return false;
			}
			return true;
		}

		public function background_send_mail($user_email, $subject, $message, $header = '') {
			self::$background_mailer->data(array(
				array(
					'user_email' => $user_email,
					'subject' => $subject,
					'message' => $message,
					'header' => $header
				)
			))->save()->dispatch();
		}

		public function request_create_sandbox($args = array()) {
			CWSA_Emails_Create_Sandbox_Request::get_instance()->send_email($args);
		}

		public function create_sandbox_notify_admin($args = array()) {
			CWSA_Emails_Create_Sandbox_Notify_Admin::get_instance()->send_email($args);
		}
	}
}