<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}
if (!class_exists('CWSA_Emails_Base')):
	abstract class CWSA_Emails_Base {

		protected $_email_type = '';

		protected $_email_settings = array();

		public $_defaults = array();

		public function __construct() {
			$email_list = CWSA()->options()->get_emails();
			$this->_email_settings = isset($email_list[$this->_email_type]) ? $email_list[$this->_email_type] : array();
		}

		public function is_enable_email() {
			return isset($this->_email_settings['enable_email'])
				? $this->_email_settings['enable_email'] === 'on'
				: false;
		}

		public function get_subject() {
			$subject = isset($this->_email_settings['subject']) ? $this->_email_settings['subject'] : '';
			if ($subject === '') {
				$subject = isset($this->_defaults['subject']) ? $this->_defaults['subject'] : '';
			}
			return $subject;
		}

		public function get_heading() {
			$heading = isset($this->_email_settings['email_heading']) ? $this->_email_settings['email_heading'] : '';
			if ($heading === '') {
				$heading = isset($this->_defaults['email_heading']) ? $this->_defaults['email_heading'] : '';
			}
			return $heading;
		}

		public function get_additional_content() {
			$additional_content = isset($this->_email_settings['additional_content']) ? $this->_email_settings['additional_content'] : '';
			if ($additional_content === '') {
				$additional_content = isset($this->_defaults['additional_content']) ? $this->_defaults['additional_content'] : '';
			}

			return $additional_content;
		}

		public function get_recipients() {
			$recipients = isset($this->_email_settings['recipients']) ? $this->_email_settings['recipients'] : '';
			return $recipients;
		}



		public function get_headers() {
			$header = 'Content-Type: text/html; charset=UTF-8' . "\r\n";
			$header .= 'Reply-to: ' . CWSA()->options()->get_email_from_name() . ' <' . CWSA()->options()->get_email_from_address() . ">\r\n";
			return $header;
		}

		public abstract function send_email($args = array());
	}
endif;