<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}
if (!class_exists('CWSA_Emails_Create_Sandbox_Notify_Admin')):
	class CWSA_Emails_Create_Sandbox_Notify_Admin extends CWSA_Emails_Base {
		private static $_instance;

		public static function get_instance()
		{
			if (self::$_instance == NULL) {
				self::$_instance = new self();
			}

			return self::$_instance;
		}

		protected $_email_type = 'create-sandbox-notify-admin';

		public function __construct() {
			parent::__construct();
			$this->_defaults = array(
				'subject' => esc_html__('[{site_title}] Sandbox Site created at {create_date} by {create_user}','cwsa'),
				'email_heading' => esc_html__('Create Sandbox','cwsa'),
			);

		}

		public function send_email($args = array()) {
			if (!$this->is_enable_email()) {
				return false;
			}

			$subject = $this->get_subject();
			$subject = CWSA()->email()->replace_email_template($subject, array(
				'site_title' => cwsa_get_site_name(),
				'site_address' => home_url('/'),
				'create_date' => cwsa_get_current_time(),
				'create_user' => $args['user_email'],
			));

			$heading = $this->get_heading();
			$heading = CWSA()->email()->replace_email_template($heading, array(
				'site_title' => cwsa_get_site_name(),
				'site_address' => home_url('/'),
				'create_date' => cwsa_get_current_time(),
				'create_user' => $args['user_email'],
			));

			$additional_content = $this->get_additional_content();
			$additional_content = CWSA()->email()->replace_email_template($additional_content, array(
				'site_title' => cwsa_get_site_name(),
				'site_address' => home_url('/'),
				'create_date' => cwsa_get_current_time(),
				'create_user' => $args['user_email'],
			));

			$site_url = get_blogaddress_by_id($args['blog_id']);

			ob_start();
			cwsa_get_template('emails/create-sandbox-notify-admin.php', array(
				'email_heading' => $heading,
				'footer_text' => CWSA()->options()->get_email_footer_text(),
				'additional_content' => $additional_content,
				'email_user' => $args['user_email'],
				'request_date' => $args['request_date'],
				'create_date' => cwsa_get_current_time(),
				'site_url' => $site_url,

			));
			$message = ob_get_clean();

			$message = CWSA()->email()->replace_email_template($message, array(
				'site_title' => cwsa_get_site_name(),
				'site_address' => home_url('/'),
			));

			$recipients = $this->get_recipients();

			CWSA()->email()->background_send_mail($recipients, $subject, $message, $this->get_headers());
			return true;
		}

	}
endif;