<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}
if (!class_exists('CWSA_Emails_Create_Sandbox_Request')):
	class CWSA_Emails_Create_Sandbox_Request extends CWSA_Emails_Base {
		private static $_instance;

		public static function get_instance()
		{
			if (self::$_instance == NULL) {
				self::$_instance = new self();
			}

			return self::$_instance;
		}

		protected $_email_type = 'create-sandbox-request';

		public function __construct() {
			parent::__construct();
			$this->_defaults = array(
				'subject' => esc_html__('Create Sandbox Site Request for {site_title}','cwsa'),
				'email_heading' => esc_html__('Demo site of {site_title}','cwsa'),
			);

		}

		public function send_email($args = array()) {
			if (!$this->is_enable_email()) {
				return false;
			}
			$subject = $this->get_subject();
			$subject = CWSA()->email()->replace_email_template($subject, array(
				'site_title' => cwsa_get_site_name(),
				'site_address' => home_url('/')
			));

			$heading = $this->get_heading();
			$heading = CWSA()->email()->replace_email_template($heading, array(
				'site_title' => cwsa_get_site_name(),
				'site_address' => home_url('/')
			));

			$additional_content = $this->get_additional_content();
			$additional_content = CWSA()->email()->replace_email_template($additional_content, array(
				'site_title' => cwsa_get_site_name(),
				'site_address' => home_url('/')
			));

			ob_start();
			cwsa_get_template('emails/create-sandbox-request.php', array(
				'email_heading' => $heading,
				'footer_text' => CWSA()->options()->get_email_footer_text(),
				'authen_link' => $args['authen_link'],
				'site_title' => cwsa_get_site_name(),
				'site_address' => home_url('/'),
				'additional_content' => $additional_content,
			));
			$message = ob_get_clean();


			$message = CWSA()->email()->replace_email_template($message, array(
				'site_title' => cwsa_get_site_name(),
				'site_address' => home_url('/'),
			));

			CWSA()->email()->background_send_mail($args['user_email'], $subject, $message, $this->get_headers());
			return true;
		}

	}
endif;