<?php
/**
 * Autoloader functions
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Auto load libraries
 */
spl_autoload_register('cwsa_autoload');

/**
 * Autoload processd
 *
 * @param $class
 */
function cwsa_autoload($class) {
	if (strpos($class, 'CWSA_') === 0) {
		$path = '';
		$file_name = substr($class, 5);
		$file_name = str_replace('_', '-', $file_name);

		if (($class === 'CWSA_Admin') || (strpos($class, 'CWSA_Admin_') === 0)) {
			$path = 'admin/';
		}
		else if ((strpos($class, 'CWSA_Background_Process_') === 0)) {
			$path = 'background-process/';
		}
		else if ((strpos($class, 'CWSA_Emails_') === 0)) {
			$path = 'emails/';
		}

		$file_name = strtolower($file_name);
		$full_path = apply_filters('cwsa_autoload_file_dir', CWSA()->plugin_dir("inc/{$path}{$file_name}.class.php"),$class);
		if (file_exists($full_path)) {
			include_once ($full_path);
		}
	}
}