<?php
/**
 * Multisite functions
 *
 * @version 1.0.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Get all sites in WordPress Multisite
 *
 * @return array
 */
function cwsa_get_sites() {
	global $wpdb;

	$_site_list = array(
		'' => esc_html__('--[Select the site for cloning]--','cwsa')
	);

	$_sites = get_sites(array(
		'network_id' => $wpdb->siteid,
	));

	foreach ($_sites as $st) {
		$_id = $st->blog_id;
		$blog_info = get_blog_details(array(
			'blog_id' => $_id
		));
		$_site_list[$_id] = $blog_info->blogname;
	}

	return $_site_list;
}

/**
 * Create Authen link
 *
 * @param $user_email
 */
function cwsa_create_authen_link($user_email) {
	$cwsa_authen_keys = get_option('cwsa_authen_key', array());
	if (!is_array($cwsa_authen_keys)) {
		$cwsa_authen_keys = array();
	}

	if (!isset($cwsa_authen_keys[$user_email])) {
		return '';
	}

	$authen_key = md5(uniqid('', true));
	$cwsa_authen_keys[$user_email] = array(
		'key' => $authen_key,
		'create_site' => false,
		'request_date' => date()
	);
}