<?php
// Do not allow directly accessing this file.
if (!defined('ABSPATH')) {
	exit('Direct script access denied.');
}

if (!class_exists('CWSA_Message')) {
	class CWSA_Message
	{
		private static $_instance;
		public static function get_instance()
		{
			if (self::$_instance == NULL) {
				self::$_instance = new self();
			}

			return self::$_instance;
		}

		public function get_message($key, $default = '') {
			return isset($_SESSION['cwsa_message'][$key]) ? $_SESSION['cwsa_message'][$key] : $default;
		}

		public function set_message($key, $value, $type = 'info') {
			if (!isset($_SESSION['cwsa_message'])) {
				$_SESSION['cwsa_message'] = array();
			}
			$_SESSION['cwsa_message'][$key] = array(
				'type' => $type,
				'message' => $value
			);
		}

		public function exists_message() {
			return isset($_SESSION['cwsa_message']) && (count($_SESSION['cwsa_message']) > 0);
		}

		public function get_messages() {
			return isset($_SESSION['cwsa_message']) ? $_SESSION['cwsa_message'] : array();
		}

		public function clear_messages() {
			$_SESSION['cwsa_message'] = array();
		}

		public function delete_message($key) {
			unset($_SESSION['cwsa_message'][$key]);
		}

		public function print_messages($is_clear = true) {
			cwsa_get_template('messages.php', array(
				'messages' => $this->get_messages()
			));
			if ($is_clear) {
				$this->clear_messages();
			}
		}

	}
}