<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/**
 * @var $current_section string
 *
 */
$email_list = CWSA()->options()->get_emails();
$email_info = isset($email_list[$current_section]) ? $email_list[$current_section] : array();

$enable_email = isset($email_info['enable_email']) ? $email_info['enable_email'] : '';
$recipients = isset($email_info['recipients']) ? $email_info['recipients'] : get_bloginfo('admin_email');
$subject = isset($email_info['subject']) ? $email_info['subject'] : '';
$heading = isset($email_info['heading']) ? $email_info['heading'] : '';
$additional_content = isset($email_info['additional_content']) ? $email_info['additional_content'] : '';
?>
<p><?php echo esc_html__('"Create Sandbox Site" emails are sent to chosen recipient(s) when user create their sandbox site.','cwsa') ?></p>
<table class="form-table">
	<tbody>
		<tr valign="top">
			<th>
				<label for="enable_email"><?php echo esc_html__('Enable/Disable','cwsa') ?></label>
			</th>
			<td>
				<fieldset>
					<label for="cwsa_enable_email">
						<input class="" type="checkbox"
						       name="email[enable_email]" id="cwsa_enable_email" value="on"
							<?php checked($enable_email, 'on')?>> <?php echo esc_html__('Enable this email notification','cwsa') ?>
					</label><br>
				</fieldset>
			</td>
		</tr>
		<tr>
			<th>
				<label for="cwsa_recipients">
					<?php echo esc_html__('Recipient(s)','cwsa') ?>
					<span class="cwsa-tips cwsa-tips-icon"
					      data-tip="<?php echo esc_attr__('Enter recipients (comma separated) for this email! Default email:','cwsa') . get_bloginfo('admin_email') ?>"></span>
				</label>
			</th>
			<td>
				<fieldset>
					<input class="regular-text" type="text"
					       name="email[recipients]" id="cwsa_recipients" value="<?php echo esc_attr($recipients) ?>">
				</fieldset>
			</td>
		</tr>
		<tr>
			<th>
				<label for="cwsa_subject">
					<?php echo esc_html__('Subject','cwsa') ?>
					<span class="cwsa-tips cwsa-tips-icon" data-tip="<?php echo esc_attr__('Available placeholders: {site_title},{site_address},{create_date},{create_user}','cwsa') ?>"></span>
				</label>
			</th>
			<td>
				<fieldset>
					<input class="regular-text" type="text"
					       name="email[subject]" id="cwsa_subject" value="<?php echo esc_attr($subject) ?>"
					       placeholder="<?php echo esc_attr__('[{site_title}] Sandbox Site created at {create_date} by {create_user}','cwsa') ?>">
				</fieldset>
			</td>
		</tr>
		<tr>
			<th>
				<label for="cwsa_heading">
					<?php echo esc_html__('Email heading','cwsa') ?>
					<span class="cwsa-tips cwsa-tips-icon"
					      data-tip="<?php echo esc_attr__('Available placeholders: {site_title},{site_address},{create_date},{create_user}','cwsa') ?>"></span>
				</label>
			</th>
			<td class="forminp">
				<fieldset>
					<input class="regular-text" type="text"
					       name="email[heading]" id="cwsa_heading" value="<?php echo esc_attr($heading) ?>"
					       placeholder="<?php echo esc_attr__('Create Sandbox','cwsa') ?>">
				</fieldset>
			</td>
		</tr>
		<tr>
			<th>
				<label for="cwsa_additional_content">
					<?php echo esc_html__('Additional content','cwsa') ?>
					<span class="cwsa-tips cwsa-tips-icon"
					      data-tip="<?php echo esc_attr__('Text to appear below the main email content. Available placeholders: {site_title},{site_address},{create_date},{create_user}','cwsa') ?>"></span>
				</label>
			</th>
			<td>
				<fieldset>
					<textarea rows="3" cols="20" class="regular-text" type="textarea"
					          name="email[additional_content]" id="cwsa_additional_content"><?php echo esc_textarea($additional_content) ?></textarea>
				</fieldset>
			</td>
		</tr>
	</tbody>
</table>