<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}
$filter_status = isset($_GET['filter_status']) ? $_GET['filter_status'] : 'all';
?>
<input type="hidden" name="filter_status" value="<?php echo esc_attr($filter_status) ?>">
<ul class="subsubsub">
	<li>
		<a href="<?php echo esc_url(admin_url("admin.php?page=cwsa-settings&tab=register-management&filter_status=all")) ?>"
		   class="<?php echo esc_attr($filter_status === 'all' ? 'current' : '') ?>">
			<?php echo esc_html__('All','cwsa') ?>
			<span class="count">(<?php echo esc_html(CWSA()->db()->get_all_site_amount()) ?>)</span>
		</a> |
	</li>
	<li>
		<a href="<?php echo esc_url(admin_url("admin.php?page=cwsa-settings&tab=register-management&filter_status=pending")) ?>"
		   class="<?php echo esc_attr($filter_status === 'pending' ? 'current' : '') ?>">
			<?php echo esc_html__('Pending','cwsa') ?>
			<span class="count">(<?php echo esc_html(CWSA()->db()->get_pending_site_amount()) ?>)</span>
		</a> |
	</li>
	<li>
		<a href="<?php echo esc_url(admin_url("admin.php?page=cwsa-settings&tab=register-management&filter_status=cancelled")) ?>"
		   class="<?php echo esc_attr($filter_status === 'cancelled' ? 'current' : '') ?>">
			<?php echo esc_html__('Cancelled','cwsa') ?>
			<span class="count">(<?php echo esc_html(CWSA()->db()->get_cancel_site_amount()) ?>)</span>
		</a> |
	</li>
	<li>
		<a href="<?php echo esc_url(admin_url("admin.php?page=cwsa-settings&tab=register-management&filter_status=running")) ?>"
		   class="<?php echo esc_attr($filter_status === 'running' ? 'current' : '') ?>">
			<?php echo esc_html__('Running','cwsa') ?>
			<span class="count">(<?php echo esc_html(CWSA()->db()->get_active_site_amount()) ?>)</span>
		</a> |
	</li>
	<li>
		<a href="<?php echo esc_url(admin_url("admin.php?page=cwsa-settings&tab=register-management&filter_status=closed")) ?>"
		   class="<?php echo esc_attr($filter_status === 'closed' ? 'current' : '') ?>">
			Closed <span class="count">(<?php echo esc_html(CWSA()->db()->get_closed_site_amount()) ?>)</span>
		</a>
	</li>
</ul>
