<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}
/**
 * @var $total_item
 */
$current_page = isset($_GET['paged']) ? $_GET['paged'] : '1';
if ($current_page === '') {
	$current_page = '1';
}
$total_pages = floor(($total_item - 1) / CWSA()->page_size) + 1;
if ($total_pages < 1) {
	$total_pages = 1;
}

$current_url = remove_query_arg( 'paged', cwsa_get_current_url() );
?>
<div class="tablenav-pages <?php echo esc_attr($total_pages > 1 ? '' : 'one-page') ?>">
	<span class="displaying-num"><?php echo esc_html($total_item) ?> <?php echo esc_html__('items','cwsa') ?></span>
	<span class="pagination-links">
		<?php if ($current_page > 1): ?>
			<a class="first-page button" href="<?php echo esc_url( add_query_arg( 'paged', 1, $current_url ) ) ?>">
				<span aria-hidden="true">«</span>
			</a>
			<a class="prev-page button" href="<?php echo esc_url( add_query_arg( 'paged', $current_page - 1, $current_url ) ) ?>">
				<span aria-hidden="true">‹</span>
			</a>
		<?php else: ?>
			<span class="tablenav-pages-navspan button disabled" aria-hidden="true">«</span>
			<span class="tablenav-pages-navspan button disabled" aria-hidden="true">‹</span>
		<?php endif; ?>
		<span class="paging-input">
			<input class="current-page" type="number"
			       name="paged"
			       min="1"
			       max="<?php echo esc_attr($total_pages) ?>"
			       value="<?php echo esc_attr(min($current_page, $total_pages)) ?>"
			       size="<?php echo esc_attr(strlen($total_pages . ''))?>"
			       aria-describedby="table-paging">
			<span class="tablenav-paging-text"> <?php echo esc_html__('of','cwsa') ?> <span class="total-pages"><?php echo esc_html($total_pages) ?></span></span>
		</span>
		<?php if ($current_page < $total_pages): ?>
			<a class="next-page button" href="<?php echo esc_url( add_query_arg( 'paged', $current_page + 1, $current_url ) ) ?>">
				<span aria-hidden="true">›</span>
			</a>
			<a class="last-page button" href="<?php echo esc_url( add_query_arg( 'paged', $total_pages, $current_url ) ) ?>">
				<span aria-hidden="true">»</span>
			</a>
		<?php else: ?>
			<span class="tablenav-pages-navspan button disabled" aria-hidden="true">›</span>
			<span class="tablenav-pages-navspan button disabled" aria-hidden="true">»</span>
		<?php endif; ?>
	</span>
</div>