<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}
/**
 * @var $email_enable_request_sandbox
 * @var $email_address string
 */
?>
<form action="" method="post" class="cwsa-form-wrap">
	<?php wp_nonce_field('cwsa_create_sandbox_request_action', 'cwsa_create_sandbox_request_nonce') ?>

	<?php if (CWSA()->messages()->exists_message()): ?>
		<?php CWSA()->messages()->print_messages() ?>
	<?php else: ?>
		<?php if ($email_enable_request_sandbox === 'on'): ?>
			<p class="cwsa-form-description"><?php echo esc_html__('Sandbox creation link will be sent to your email!','cwsa') ?></p>
		<?php endif; ?>
	<?php endif; ?>

	<?php do_action('cwsa_create_sandbox_request_email_before') ?>

	<div class="cwsa-form-input">
		<input type="email" name="email" class="form-control"
		       required="required"
		       value="<?php echo esc_attr($email_address) ?>"
		       placeholder="<?php echo esc_attr__('Enter your email to request...','cwsa') ?>">
	</div>

	<?php do_action('cwsa_create_sandbox_request_email_after') ?>

	<p>
		<button type="submit" class="btn btn-primary btn-block"><?php echo esc_html__('Create Sandbox','cwsa') ?></button>
	</p>
</form>